76

Re: Virtual Machine Version

Scratch the last paragraph of my previous post. The sound still works in Yast>Sound>Other>Test Sound. I just had to replug in my headphones, yes I'm using headphones and they got pulled out of their socket when I turned my head back to listen to someone. Sound still does not work on YouTube, which is my test subject.

Re: Virtual Machine Version

Well if the test works, then you have to adjust the (Master) volume in the mixer. If it doesn't show up you will have to delete the configured sound card and configure again until you see the master volume and just increase it. I will try to find time to make a video of that I know it is confusing, but this is the way it works in SuSe.

78

Re: Virtual Machine Version

I got some progress. The only way I am able to see and adjust the Master Volume in Mixer is when I ENABLE! PulseAudio Support in Yast>Sound>Other>Pulse Audio Configuration. I can also see my sound card, rather many more sound cards than merely three copies of HD-Audio Generic (Alsa mixer). I now see 3 Playback and 4 Capture cards that I can select the Master Controls for. But, they still do not save their setting, volume or control after exiting or starting back up Mixer or rebooting. That seems to be the trouble now. We just need to figure out how to get the settings to stick for persistant storage.

Re: Virtual Machine Version

I updated the installation guide:
http://rsync.netsecl.com/netsecl_install.pdf
I guess it depends on the system and sound card for me it worked without PulseAudio. I will check how the sound levels can be stored, I don't remember having this issue. Can you confirm that the sound works by playing an audio file or YouTube video with the mixer open?

80

Re: Virtual Machine Version

That's right, I don't even get sound out of YouTube while the Mixer is open and the controls are selected with the volume up. I do get a beep notifying me when I hit a page that has an unencrypted content that is partially encrypted with the warning window that pops up by default in Firefox. I double checked whether I get notification sounds, but not flash (at least) sounds, by enabling a warning sound in one of my add-ons every time a script is blocked and that sound works as well. Do I just need to change something in the Applications setting in Firefox to get Flash sounds to work?

81

Re: Virtual Machine Version

I think on your new installation instructions you missed a step to circle in red on page 14. Circle Select Controls as step number 2 in the bottom left corner of the Mixer window that is shown first. Then, rename step 2 as step 3 and step 3 as step 4. I hope that helps smile .

82

Re: Virtual Machine Version

Oo, next time you build the OS, could you include the ImageWriter package and the udisks (udisks is needed for imagewriter) packages, please?

Re: Virtual Machine Version

I built a new version with the driver and with Image magic. Well if it doesn't play the sound then you still haven't configured the mixer, you can try storing the sound with "alsactl store" if it is an alsa driver. Did you hear the test sound when you configured it in YaSt? What is the name of the driver of the sound card in YaSt Sound?

Re: Virtual Machine Version

And about the beeps - is it like a beep from a pc speaker or you hear it through you headphones? Can you test with a sample sound file not trough the browser so we can understand if it is Flash or system (mixer)?

85

Re: Virtual Machine Version

Rhythmbox>Library>Radio works through my headphones just fine; I can hear sample music not through the browser. The two kinds of beeps are not from my computer case, I think I do not have a speaker on my case, it is definitely through my headphones. I do hear the test sounds when configured through Yast, but only on the sound card on Index 1 with two of the three sound cards configured that show up at Indexes 0 and 1. None of the following commands work,

alsactl store
alsactl store 0
alsactl store 1
sudo alsactl store
sudo alsactl store 0
sudo alsactl store 1

They all return an error, "sudo: alsactl: command not found".

Last edited by tau (2012-09-28 22:11:41)

Re: Virtual Machine Version

Hmm I guesss I removed it, but I don't remember why actualy - maybe because of YaSt >Sound. But this is good it means you have your sound configured and we are finally done smile. Cogratulations! Your sound works - it is flash problem smile

87

Re: Virtual Machine Version

Why is Image magic included? Did you mean ImageWriter? Is the new version of SecuredOS with the up to date grsec kernel? How can I fix my Flash? I already reinstalled the Flash Player from adobe.com and I still cannot hear Youtube, sweet Youtube.

88

Re: Virtual Machine Version

My Youtube videos for some reason reload, start from 0, with their download buffer size progress after the first second and a half. Is this related to why I don't hear sound?

Re: Virtual Machine Version

https://susestudio.com/a/EmL6GN/secured … ion=4.1.12
https://susestudio.com/a/EmL6GN/secured-os--2/
See for yourself. I don't see any image magic here. Image writer is included. And the new kernel is not included (I will include it later when I'm done compiling and testing). I'm not sure what the flash problem is and how you can fix it (maybe a flash replacement? other version of flash?), but flash won't work under GrSecurity anyway because it is not 64 bit, for some reason it cuts the 32 bit programmes and I guess also libraries.

Re: Virtual Machine Version

Look at this:
http://www.susegeek.com/multimedia/inst … use-linux/

91

Re: Virtual Machine Version

Huh, flash doesn't work for you with grsecurity, either? I ran into that problem in the last days before the last time I used grsecurity. It's like, what's the point? No flash, no thing that doesn't provide flash. Let's just forget about Grsecurity. You can move on to basing your OS on Android now, if it was up to me, which it's not. I'll support you, my friend, whichever way you turn. But, enough of the mushy gushy. I now like Qubes OS the best. I just wish my hardware was one of the limited set of hardware that is supported by that juvenile project. I'll try that Flash how-to guide you provided the link to, when I install Secured OS 4.1.12, which I might have time for tomorrow smile .

Re: Virtual Machine Version

Well smile hah Android removes flash too. I guess the move from flash to HTML5 is already in place, but I'm sure it will take some time. In the previos version NetSecL my flash worked, but now in your case I'm not sure what can be wrong - it is basicly one file (library), just has to be there.

>I now like Qubes OS the best.
Well the choice is yours.

http://www.zdnet.com/blog/open-source/n … sers/11433

93

Re: Virtual Machine Version

The open source linux version of Flash Player is called LightSpark, you could add it if you want, but there isn't any sound yet, last time I tried it. A more successful plan would probably be to make the default web browser for NetSecL/SecuredOS Chrome or Chromium, if it supports Flash like Chrome does with its Pepper API. The reason flash is not supported in the latest Android Jelly Bean 4.1 despite Chrome's support for Pepper is because Android is 32bit, Chrome and the Pepper Flash support should do fine in 64bit Linux like your OS based on SuseStudio with the Chrome web browser.

I should probably start to ask the Qubes developers to support my hardware, also wink .

94

Re: Virtual Machine Version

Ok, I tested Secured OS 4.1.12, and it looks like I do need the package installed, not just the repository, because I ran into the blank screen problem again. I thought the boot script you added is the thing that fixed this. But, maybe I didn't realize it wasn't the boot script because you added the boot script and the legacy fglrx driver at the same time. However, this time I will be needing the up to date fglrx that matches the ATI repository you put in 4.1.12. I think with that done there won't be a big "AMD Unsupported hardware" logo on my screen, and I won't need to install the up to date fglrx on my own. The legacy did its job to be able drive the view when we first used it, but of course we still do not want the legacy version when my hardware requires the up to date fglrx for probably more than just the absence of the error logo smile . I wonder, can you install both the Nvidia and ATI driver at the same time in case people with Nvidia can not see anything like I couldn't, or would that require two separate builds (i.e. one for Nvidia hardware and another for ATI)?

Re: Virtual Machine Version

I added this repository with the driver http://geeko.ioda.net/mirror/amd-fglrx/ … .2/x86_64/

I don't think it is legacy. I'm not sure why you get this. And it is latest it is from  04-Sep-2012. There is no newer package in the repository.

"Display driver files for the AMD RADEON (9500 and later), MOBILITY RADEON (M10 and later), RADEON XPRESS IGP and FireGL (Z1 and later) series of graphics accelerators. This package provides 2D display drivers, precompiled kernel modules, kernel module build environment, control panel source coude and hardware accelerated OpenGL. "

Re: Virtual Machine Version

This is what is added already in what you have (4.1.12):
fglrx64_xpic_SUSE122     8.982-1     AMD ATI fglrx
nvidia-computeG02     304.43-20.1     nvidia 12.2
nvidia-gfxG01-kmp-default     173.14.35_k3.4.6_2.10-16.1     nvidia 12.2
nvidia-gfxG02-kmp-default     304.43_k3.4.6_2.10-19.1     nvidia 12.2
nvidia-settings     270.41.06-1.27     Packman 12.2
nvidia-texture-tools     2.0.6-18.1.4     openSUSE 12.2 OSS

Re: Virtual Machine Version

Btw about the flash:
http://get.adobe.com/flashplayer/comple … %29_64-bit

98

Re: Virtual Machine Version

Oh, wait. SuseStudio has a different word between rpm and repository, so just reread my comments where I say repository and think of rpm. From now on I'll say rpm when I mean rpm.

I know you now have the up-to-date fglrx, I was talking retrospectively--with the version I installed fglrx on my own; I think that one was legacy. Back with that version, legacy was included in the build as a package, so I was able to use the Live dekstop enough to install the up-to-date fglrx. I then made a bad call by asking for you to just include the repsoitory (what I mean is rpm) for fglrx and not the package--and I pointed to you the up-to-date url of the fglrx rpm url, which you fulfilled by uploading it in the version of Secured OS that I had the latest trouble with in my last comment. I got mixed up, thinking I would not run into this error, which is the same as before you included the legacy fglrx package, but I thought that version worked because of the startup script you made, instead of the inclusion of the package of fglrx-legacy, which you did upload in one of the versions (it would say or allude in the release notes; something like, "fglrx" or "AMD" or "Radeon" "driver uploaded" and might not actually say "legacy"). So, I just need for you to use the same package that comes from the rpm you posted

This is what is added already in what you have (4.1.12):
fglrx64_xpic_SUSE122     8.982-1     AMD ATI fglrx

, except I need you to add it by using Search for Software to find the fglrx package that matches your rpm and include the package to your build, in addition to the rpm. Yes, one needs both because one needs the rpm for the package to update, so including the rpm as well as the package will be necessary O.o I hope I found all the repository words and changed them to rpm because I found my mishap of terminology just after your quote in this post smile .

I already installed that Flash player from adobe.com, but I forgot to uninstall my current one before doing so, and I won't be able to test to see if it works because I've moved back to Ubuntu for good. Sorry for ending my testing role with you, but I have to get back to school and I have a lot of homework that depends on a working computer whenever I need it. You'll be glad to know github's dnscrypt-proxy page has the packages for linux back up again. RPM and Deb files each with one package for 32-bit and another package for 64-bit are all under the same download. Thus, I submit my resignation until further notice. We're still friends on the social networks, so let's chat sometime there.

Last edited by tau (2012-10-02 07:50:57)

Re: Virtual Machine Version

Well the repository AND the up to date package are included so the problem is elsewhere (maybe the newest driver doesn't support the video-card). Maybe also the legacy package should be included. OK well good luck with school then smile. I will close this topic. See you later.